#ifndef _USR_B2B_MSG_
#define _USR_B2B_MSG_


#include "usr_protocol_type.h"


#define combine_cmdMessage(msg,header,seqer,cmder,tailer)  {\
	msg.head = header; \
	msg.seq = seqer; \
	msg.cmd = cmder; \
	msg.tail = tailer; \
}

int DecodeNew(struct CmdMessage* pMessage, uint8_t *pdata, const uint8_t *pInBuffer, uint32_t *pheader,uint32_t  ulast,uint32_t maxlen);
uint32_t PackDeviceNum(void);
void send_Devinf_pc(void);



#endif
